<!DOCTYPE html>
<html xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
      xmlns:rich="http://richfaces.org/rich"
      xmlns:f="http://java.sun.com/jsf/core" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:c="http://java.sun.com/jsp/jstl/core">

<h:head>
    <h:outputStylesheet library="stylesheet" name="gazelle-theme.css"/>
    <h:outputStylesheet library="stylesheet" name="alert.css"/>
    <h:outputStylesheet library="stylesheet" name="status.css"/>
    <h:outputStylesheet library="stylesheet" name="bootstrap_dropdown.css"/>
    <h:outputStylesheet library="stylesheet" name="chosen.bootstrap.css"/>
    <h:outputStylesheet library="stylesheet" name="summernote.css"/>
    <h:outputStylesheet library="stylesheet" name="daterangepicker.css"/>

    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <meta name="robots" content="index, nofollow"/>
    <title>#{messages['net.ihe.gazelle.proxy.GazelleProxy']}</title>
    <link rel="shortcut icon" href="#{request.contextPath}/resources/img/favicon.ico"/>

    <ui:insert name="header"/>

    <c:if test="#{useDefaultJQuery == null or useDefaultJQuery == true}">
        <h:outputScript library="jscript" name="jquery_1_11_2.min.js"/>
    </c:if>
    <h:outputScript library="jscript" name="bootstrap.min.js"/>
    <h:outputScript library="jscript" name="chosen.jquery.min.js"/>

    <h:outputScript library="jscript" name="summernote.min.js"/>
    <h:outputScript library="jscript" name="gazelleTools.js"/>
    <h:outputScript library="jscript" name="moment.js"/>
    <h:outputScript library="jscript" name="daterangepicker.js"/>

    <ui:insert name="head"/>

    <script type="text/javascript">
        jq162 = jQuery.noConflict(true);

        jq162(function () {
            updateSelects();
        });

        function updateSelects() {
            updateSelects_(jq162, {allow_single_deselect: true, display_selected_options: true, width: "90%"});
        }
    </script>

</h:head>
<h:body>
    <f:view>

        <ui:include src="/ajaxStatus.xhtml"/>
        <ui:include src="menu.xhtml"/>

        <div id="gzl-container">
            <div class="row">
                <div class="center-block gazelle-alert">
                    <s:decorate id="gazelle-messages">
                        <rich:messages globalOnly="true" escape="false"
                                       styleClass="fade-out-up text-center"
                                       infoClass="alert gzl-alert-green animated-fast"
                                       warnClass="alert gzl-alert-orange animated-slow"
                                       errorClass="alert gzl-alert-red animated-slow">
                        </rich:messages>
                    </s:decorate>
                </div>
            </div>
            <ui:insert name="body"/>
        </div>
        <ui:include src="cookie_consent.xhtml">
            <!--                To be replaced when GCU has been set-->
                           <ui:param name="cguLink" value="#{applicationManager.getTosLink()}"/>
        </ui:include>
        <ui:include src="/layout/_footer.xhtml"/>
        <ui:include src="/layout/_scrollup.xhtml"/>

    </f:view>
    <a4j:status onstop="updateSelects()"/>
</h:body>
<h:outputScript library="jscript" name="ie10-viewport-bug-workaround.js"/>
</html>
